WordPress5.0重度升级,网站要不更新到最新版本

外贸建站 华再 9个月前 (12-07) 374次浏览 0个评论

12月6日,来自WordPress官方的消息,WordPress 5.0正式版发布了。

此次发布的WordPress 5.0新版本可以说是重度升级。首先是WordPress默认编辑器更新为最新gutenberg(古腾堡)编辑器,第二个就是更新了最新的默认主题Twenty Nineteen。

全新核心编辑器Gutenberg

WP创始人Matt在曾宣布将开发一个全新的模块编辑器(block editor),并这一功能被命名为Gutenberg 。Gutenberg(古腾堡):德国发明家,约1400年出生于德国美因茨,1468年2月3日逝世于美因茨,是西方活字印刷术的发明人,他的发明导致了一次媒体革命,迅速地推动了西方科学和社会的发展。WordPress新的编辑器被命名为Gutenberg ,显然被寄予了极大的期望。作为模块编辑器,Gutenberg的开发目标是,让用户添加和编辑富文本内容更加简单和愉悦。

 

使用新的编辑器添加内容,基本上不需要用户掌握任何HTML知识,不需要输入短代码,不需要为嵌入其他网页的embed元素而发愁。所有的网页内容都被模块化,你只需要根据提示加入你想要的block就可以了。

通过Blocks选项卡,用户可以快速添加Text(文本),Image(图片),Gallery(相册),Heading(标题),Qutoe(引用),List(列表),Cover Image(封面图案,与前面图片不一样的地方在于,可以在图案上面添加文字)等。通过Embeds选项卡,用户可以快速添加来自其他等支持embeds标准的网站(比如Youtube,Flickr)的内容。

新默认主题Twenty Nineteen

最新的默认主题Twenty Nineteen也是为了更好的支持gutenberg(古腾堡)编辑器。 主题包含了为5.0中预设的区块所设计的自定义样式,该主题在整个网站大量使用了编辑器样式。

 

WordPress网站该怎么办

1.要不要升级到最新版本,升级要注意什么?

首先,不建议大家升级WordPress网站到最新版,因为程序升级以后,尤其是重度升级以后,其他配套使用的主题和插件不一定能及时更新,一般要等一到两周在考虑升级,以避免不兼容的问题。

还有,如果要升级,一定要记得做好备份。

2.升级了但还想使用旧版编辑器怎么办?

新版的编辑器估计绝大部分人是不习惯的,如果升级了WordPress网站但还想使用旧版编辑器可以安装 Classic Editor 插件切换编辑器。

从目前情况看,使用新编辑器是大势所趋,大家可以慢慢适用。

 

 

 

 


知外贸 , 版权所有
转载请注明出处及原文链接:WordPress5.0重度升级,网站要不更新到最新版本
喜欢 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址